/*-----------------------------------------------------------------------
				FedTerm version 1.60 - Windows Federation 2 Client
			  Copyright (c) 1995-2006 Interactive Broadcasting Ltd

	This program is free software: you can redistribute it and /or modify 
	it under the terms of the GNU General Public License as published by 
	the Free Software Foundation: either version 2 of the License, or (at 
	your option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY: without even the implied warranty of 
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
	General Public License for more details.

	You should have received a copy of the GNU General Public License 
	along with this program; if not, write to the Free Software Foundation, 
	Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307 USA

	Program written and compiled with Borland C++ Builder 5
	Programming and design: 	Alan Lenton
	Home website:					www.ibgames.net
-----------------------------------------------------------------------*/

#include <vcl.h>
#pragma hdrstop

#include "cmdform.h"

#include "fed2.h"
#include "input.h"
#include "macro.h"
#include "main.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TCommandForm *CommandForm;
//---------------------------------------------------------------------------


__fastcall TCommandForm::TCommandForm(TComponent* Owner)
	: TForm(Owner)
{
}


void __fastcall TCommandForm::InputMemoKeyUp(TObject *Sender, WORD &Key,
		TShiftState Shift)
{
	switch(Key)
	{
		case VK_RETURN:	Fed2::player_input->Process(InputMemo->Text.c_str());
								InputMemo->Clear();
								Close();
								MainForm->ActiveControl = MainForm->DetailGrid;
								break;
		case VK_F1:
		case VK_F2:
		case VK_F3:
		case VK_F4:
		case VK_F5:
		case VK_F6:
		case VK_F7:
		case VK_F8:
		case VK_F9:
		case VK_F10:
		case VK_F11:
		case VK_F12:	if(Shift.Contains(ssCtrl))
								Fed2::macro->Transfer(1 + Key - VK_F1,InputMemo);
							else
								Fed2::macro->Send(1 + Key - VK_F1);
							break;
	}
}


