/*-----------------------------------------------------------------------
				FedTerm version 1.60 - Windows Federation 2 Client
			  Copyright (c) 1995-2006 Interactive Broadcasting Ltd

	This program is free software: you can redistribute it and /or modify 
	it under the terms of the GNU General Public License as published by 
	the Free Software Foundation: either version 2 of the License, or (at 
	your option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY: without even the implied warranty of 
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
	General Public License for more details.

	You should have received a copy of the GNU General Public License 
	along with this program; if not, write to the Free Software Foundation, 
	Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307 USA

	Program written and compiled with Borland C++ Builder 5
	Programming and design: 	Alan Lenton
	Home website:					www.ibgames.net
-----------------------------------------------------------------------*/

#ifndef FED2_H
#define FED2_H

class AvatarStats;
class	Coms;
class Exchange;
class FedMap;
class Friends;
class	Init;
class Logging;
class	Macro;
class PlayerInput;
class Players;
class ShipStats;
class	TightBeam;
class	Tmc;
class	Twinkles;

namespace	Fed2
{
	extern AvatarStats	*avatar_stats;
	extern Coms				*coms;
	extern Exchange		*exchange;
	extern FedMap			*fed_map;
	extern Friends			*friends;
	extern Init				*init;
	extern Logging			*logging;
	extern Macro			*macro;
	extern PlayerInput	*player_input;
	extern Players 		*players;
	extern ShipStats		*ship_stats;
	extern TightBeam		*tight_beam;
	extern Tmc				*tmc;
	extern Twinkles		*twinkles;
};

#endif

