/*-----------------------------------------------------------------------
				FedTerm version 1.60 - Windows Federation 2 Client
			  Copyright (c) 1995-2006 Interactive Broadcasting Ltd

	This program is free software: you can redistribute it and /or modify 
	it under the terms of the GNU General Public License as published by 
	the Free Software Foundation: either version 2 of the License, or (at 
	your option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY: without even the implied warranty of 
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
	General Public License for more details.

	You should have received a copy of the GNU General Public License 
	along with this program; if not, write to the Free Software Foundation, 
	Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307 USA

	Program written and compiled with Borland C++ Builder 5
	Programming and design: 	Alan Lenton
	Home website:					www.ibgames.net
-----------------------------------------------------------------------*/

#ifndef SHIPSTATS_H
#define SHIPSTATS_H

#include <string>

#include "xml.h"

class	ShipStats          // everything to do with our player's spaceship
{
private:
	enum	{ CURRENT, MAXIMUM	};

	std::string	class_name;
	int	hull[2];
	int	shields[2];
	int	engines[2];
	int	fuel[2];
	int	computer[2];
	int	hold[2];

public:
	ShipStats(const AttribList& attrib);
	~ShipStats()	{	}

	void	Clear();
	void	NewStatSelect(const std::string& stat_name);
	void	Process(const AttribList& attrib);
	void	ProcessStats(const AttribList& attrib);
};

#endif

