/*-----------------------------------------------------------------------
				FedTerm version 1.60 - Windows Federation 2 Client
			  Copyright (c) 1995-2006 Interactive Broadcasting Ltd

	This program is free software: you can redistribute it and /or modify 
	it under the terms of the GNU General Public License as published by 
	the Free Software Foundation: either version 2 of the License, or (at 
	your option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY: without even the implied warranty of 
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
	General Public License for more details.

	You should have received a copy of the GNU General Public License 
	along with this program; if not, write to the Free Software Foundation, 
	Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307 USA

	Program written and compiled with Borland C++ Builder 5
	Programming and design: 	Alan Lenton
	Home website:					www.ibgames.net
-----------------------------------------------------------------------*/

#include <vcl.h>
#pragma hdrstop

#include "twinkles.h"

#include <cstdlib>

#include "main.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------

const int	Twinkles::MAX_TWINKLE;

Twinkles::Twinkles()
{
	led[0] = MainForm->T0;
	led[1] = MainForm->T1;
	led[2] = MainForm->T2;
	led[3] = MainForm->T3;
	led[4] = MainForm->T4;
	led[5] = MainForm->T5;
	led[6] = MainForm->T6;
	led[7] = MainForm->T7;
	led[8] = MainForm->T8;
	led[9] = MainForm->T9;
}

Twinkles::~Twinkles()
{
	MainForm->TwinkleTimer->Enabled = false;
}


void	Twinkles::AllOff()
{
	MainForm->TwinkleTimer->Enabled = false;
	for(int count = 0; count < MAX_TWINKLE;count++)
		led[count]->Color = clBtnFace;
}

void	Twinkles::AllOnGreen()
{
	MainForm->TwinkleTimer->Enabled = false;
	for(int count = 0; count < MAX_TWINKLE;count++)
		led[count]->Color = clLime;
}

void	Twinkles::AllOnRed()
{
	MainForm->TwinkleTimer->Enabled = false;
	for(int count = 0; count < MAX_TWINKLE;count++)
		led[count]->Color = clRed;
}

void	Twinkles::Random()
{
	const int	MAX_COLOUR = 4;
	TColor		colours[MAX_COLOUR] = { clRed, clLime, clYellow, clBlue };
	led[std::rand() % MAX_TWINKLE]->Color = colours[rand() % MAX_COLOUR];
}

void	Twinkles::Start()
{
	MainForm->TwinkleTimer->Enabled = true;
}
