/*-----------------------------------------------------------------------
				FedTerm version 1.60 - Windows Federation 2 Client
			  Copyright (c) 1995-2006 Interactive Broadcasting Ltd

	This program is free software: you can redistribute it and /or modify 
	it under the terms of the GNU General Public License as published by 
	the Free Software Foundation: either version 2 of the License, or (at 
	your option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY: without even the implied warranty of 
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
	General Public License for more details.

	You should have received a copy of the GNU General Public License 
	along with this program; if not, write to the Free Software Foundation, 
	Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307 USA

	Program written and compiled with Borland C++ Builder 5
	Programming and design: 	Alan Lenton
	Home website:					www.ibgames.net
-----------------------------------------------------------------------*/

#ifndef LOGON_H
#define LOGON_H

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>

class Login;

class TLogonForm : public TForm
{
__published:	// IDE-managed Components
	TPanel *MainPanel;
	TGroupBox *HostGroup;
	TLabel *Label1;
	TLabel *Label2;
	TEdit *HostEdit;
	TEdit *PortEdit;
	TGroupBox *AccountGroup;
	TLabel *Label3;
	TLabel *Label4;
	TLabel *Label5;
	TCheckBox *SaveCheck;
	TEdit *AccountEdit;
	TEdit *PasswordEdit;
	TEdit *FedEdit;
	TPanel *PicPanel1;
	TPanel *PicPanel2;
	TImage *Image;
	TPanel *Panel1;
	TBitBtn *OKBtn;
	TBitBtn *CancelBtn;
	TBitBtn *LastBtn;
	TBitBtn *NextBtn;
	TBitBtn *DeleteBtn;
	void __fastcall LastBtnClick(TObject *Sender);
	void __fastcall NextBtnClick(TObject *Sender);
	void __fastcall DeleteBtnClick(TObject *Sender);
	void __fastcall SaveCheckClick(TObject *Sender);
	void __fastcall OKBtnClick(TObject *Sender);
private:
	Login	*login;
	bool	changed;

	void	CheckForChange();
public:
	__fastcall TLogonForm(TComponent* Owner);

	bool	Changed()				{ return(changed);	}
	void	ReplyTo(Login *who)	{ login = who;	}
};


//---------------------------------------------------------------------------
extern PACKAGE TLogonForm *LogonForm;
//---------------------------------------------------------------------------

#endif
